%define lib_major 0
%define libname %mklibname %{name} %{lib_major}
%define libnamedev %mklibname -d %{name}

Summary: Keyring and password manager for the GNOME desktop
Name: gnome-keyring
Version: 2.20.0
Release: %mkrel 1
Source0: ftp://ftp.gnome.org/pub/GNOME/sources/gnome-keyring/%{name}-%{version}.tar.bz2
URL: http://www.gnome.org/
License: GPL/LGPL
Group: Networking/Remote access
BuildRoot: %{_tmppath}/%{name}-buildroot
BuildRequires: gtk2-devel >= 2.4.0
BuildRequires: libgcrypt-devel
BuildRequires: libhal-devel
BuildRequires: pam-devel
BuildRequires: perl-XML-Parser

%description
gnome-keyring is a program that keep password and other secrets for
users. It is run as a damon in the session, similar to ssh-agent, and
other applications can locate it by an environment variable.
 
The program can manage several keyrings, each with its own master
password, and there is also a session keyring which is never stored to
disk, but forgotten when the session ends.

%package -n %{libname}
Group: System/Libraries
Summary: Library for integration with the gnome keyring system
Requires: %{name} >= %{version}-%{release}

%description -n %{libname}
The library libgnome-keyring is used by applications to integrate with
the gnome keyring system. However, at this point the library hasn't been
tested and used enought to consider the API to be publically
exposed. Therefore use of libgnome-keyring is at the moment limited to
internal use in the gnome desktop. However, we hope that the
gnome-keyring API will turn out useful and good, so that later it
can be made public for any application to use.


%package -n %{libnamedev}
Group: Development/C
Summary: Library for integration with the gnome keyring system
Requires: %{libname} = %{version}
Provides: lib%{name}-devel = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %mklibname -d %name 0

%description -n %{libnamedev}
The library libgnome-keyring is used by applications to integrate with
the gnome keyring system. However, at this point the library hasn't been
tested and used enought to consider the API to be publically
exposed. Therefore use of libgnome-keyring is at the moment limited to
internal use in the gnome desktop. However, we hope that the
gnome-keyring API will turn out useful and good, so that later it
can be made public for any application to use.


%prep
%setup -q

%build
%configure2_5x

%make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std install-pam PAM_DEST_DIR=/%_lib/security
rm -f %buildroot%_libdir/pam_gnome_keyring.*

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig
%postun -n %{libname} -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(-,root,root)
%doc README NEWS TODO COPYING
%{_bindir}/gnome-keyring-daemon
%_libexecdir/gnome-keyring-ask
/%_lib/security/pam_gnome_keyring*.so

%files -n %{libname}
%defattr(-,root,root)
%{_libdir}/libgnome-keyring.so.%{lib_major}*

%files -n %{libnamedev}
%defattr(-,root,root)
%doc doc/*.txt COPYING.LIB ChangeLog
%{_libdir}/libgnome-keyring.so
%attr(644,root,root) %{_libdir}/libgnome-keyring.la
%dir %{_includedir}/gnome-keyring-1/
%{_includedir}/gnome-keyring-1/*.h
%{_libdir}/pkgconfig/gnome-keyring-1.pc
%_datadir/gtk-doc/html/*


%changelog
* Wed Sep 19 2007 Götz Waschk <waschk@mandriva.org> 2.20.0-1mdv2008.0
+ Revision: 90415
- new version
- new version

* Sun Aug 26 2007 Götz Waschk <waschk@mandriva.org> 2.19.91-1mdv2008.0
+ Revision: 71579
- new version

* Tue Aug 14 2007 Götz Waschk <waschk@mandriva.org> 2.19.90-1mdv2008.0
+ Revision: 62967
- new version
- new devel name

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 2.19.6.1-2mdv2008.0
+ Revision: 56619
- fix buildrequires

* Mon Jul 30 2007 Götz Waschk <waschk@mandriva.org> 2.19.6.1-1mdv2008.0
+ Revision: 56586
- new version
- fix installation
- new version
- add pam module

* Sat Jul 07 2007 Götz Waschk <waschk@mandriva.org> 2.19.5-1mdv2008.0
+ Revision: 49369
- new version

* Mon Jun 18 2007 Götz Waschk <waschk@mandriva.org> 2.19.4.1-1mdv2008.0
+ Revision: 40993
- new version

* Sun Jun 17 2007 Götz Waschk <waschk@mandriva.org> 2.19.4-1mdv2008.0
+ Revision: 40610
- new version
- update file list

* Wed Jun 06 2007 Götz Waschk <waschk@mandriva.org> 2.19.2-2mdv2008.0
+ Revision: 36055
- fix buildrequires
- new version

* Tue Apr 17 2007 Götz Waschk <waschk@mandriva.org> 0.8.1-1mdv2008.0
+ Revision: 13824
- new version


* Mon Mar 12 2007 Götz Waschk <waschk@mandriva.org> 0.8-1mdv2007.1
+ Revision: 142014
- new version

* Fri Feb 23 2007 Götz Waschk <waschk@mandriva.org> 0.7.92-1mdv2007.1
+ Revision: 125183
- new version

* Mon Feb 12 2007 Götz Waschk <waschk@mandriva.org> 0.7.91-1mdv2007.1
+ Revision: 120040
- new version

* Fri Jan 05 2007 Götz Waschk <waschk@mandriva.org> 0.7.3-2mdv2007.1
+ Revision: 104390
- bot rebuild
- new version

* Mon Dec 18 2006 Götz Waschk <waschk@mandriva.org> 0.7.2-1mdv2007.1
+ Revision: 98508
- new version

* Tue Nov 28 2006 Götz Waschk <waschk@mandriva.org> 0.7.1-2mdv2007.1
+ Revision: 87929
- spec fix
- new version

* Mon Nov 27 2006 Götz Waschk <waschk@mandriva.org> 0.6.0-1mdv2007.1
+ Revision: 87705
- Import gnome-keyring

* Tue Sep 05 2006 Götz Waschk <waschk@mandriva.org> 0.6.0-1mdv2007.0
- New release 0.6.0

* Tue Aug 22 2006 Frederic Crozat <fcrozat@mandriva.com> 0.5.2-1mdv2007.0
- Release 0.5.2

* Thu Jun 15 2006 Gtz Waschk <waschk@mandriva.org> 0.5.1-2mdv2007.0
- fix buildrequires

* Tue Jun 13 2006 Gtz Waschk <waschk@mandriva.org> 0.5.1-1mdv2007.0
- update file list
- New release 0.5.1

* Mon Mar 13 2006 Götz Waschk <waschk@mandriva.org> 0.4.9-1mdk
- New release 0.4.9

* Tue Feb 28 2006 Götz Waschk <waschk@mandriva.org> 0.4.8-1mdk
- New release 0.4.8

* Mon Feb 13 2006 Götz Waschk <waschk@mandriva.org> 0.4.7-1mdk
- New release 0.4.7
- use mkrel

* Wed Nov 16 2005 Götz Waschk <waschk@mandriva.org> 0.4.6-1mdk
- New release 0.4.6

* Wed Oct 12 2005 Götz Waschk <waschk@mandriva.org> 0.4.5-1mdk
- New release 0.4.5

* Fri Sep 02 2005 Götz Waschk <waschk@mandriva.org> 0.4.3-2mdk
- rebuild to remove glitz dep

* Thu Aug 25 2005 Götz Waschk <waschk@mandriva.org> 0.4.3-1mdk
- New release 0.4.3

* Mon Mar 07 2005 Gtz Waschk <waschk@linux-mandrake.com> 0.4.2-1mdk
- reenable libtoolize
- New release 0.4.2

* Tue Jan 11 2005 Goetz Waschk <waschk@linux-mandrake.com> 0.4.1-1mdk
- New release 0.4.1

* Tue Oct 19 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.4.0-1mdk
- New release 0.4.0

* Tue Apr 20 2004 Gtz Waschk <waschk@linux-mandrake.com> 0.2.1-1mdk
- new version

* Tue Apr 06 2004 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2.0-1mdk
- initial package (from Gtz Waschk)

